/* _content/MobiBlazor/Components/Common/AppDownloadPrompt.razor.rz.scp.css */
.modal-overlay[b-yh4th8eybi] {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.4);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.modal-dialog[b-yh4th8eybi] {
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 16px rgba(0,0,0,0.2);
    min-width: 300px;
    max-width: 90vw;
}

.modal-content[b-yh4th8eybi] {
    padding: 24px 16px 8px 16px;
}

.modal-body[b-yh4th8eybi] {
    padding-bottom: 16px;
}
/* _content/MobiBlazor/Components/Common/Modal.razor.rz.scp.css */
.modal-overlay[b-gwng28oggt] {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.4);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.modal-dialog[b-gwng28oggt] {
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 16px rgba(0,0,0,0.2);
    min-width: 300px;
    max-width: 90vw;
}

.modal-content[b-gwng28oggt] {
    padding: 24px 16px 8px 16px;
}

.modal-footer[b-gwng28oggt] {
    display: flex;
    justify-content: flex-end;
    gap: 8px;
    padding: 8px 16px 16px 16px;
}

.modal-body[b-gwng28oggt] {
    padding-bottom: 16px;
}
/* _content/MobiBlazor/Components/Common/Searchbox.razor.rz.scp.css */
.search-wrapper[b-pon7t2iq1y] {
    position: relative;
    margin-left: 1rem;
    margin-right: 1rem;
}

#pdf-search[b-pon7t2iq1y]::placeholder {
    color: azure;
    opacity: 0.8;
    font-size: 0.8rem;
}

.search-icon[b-pon7t2iq1y] {
    position: absolute;
    left: 12px;
    top: 50%;
    transform: translateY(-50%);
    width: 18px;
    height: 18px;
    pointer-events: none;
    color: whitesmoke;
    opacity: 0.7;
}

.search-input[b-pon7t2iq1y] {
    padding-left: 12px;
    background-color: #47494D;
    color: whitesmoke;
}

.btn-pale-white[b-pon7t2iq1y] {
    color: #333;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .btn-pale-white:hover[b-pon7t2iq1y], .btn-pale-white:focus[b-pon7t2iq1y], .btn-pale-white:active[b-pon7t2iq1y], .btn-pale-white.active[b-pon7t2iq1y], .show > .btn-pale-white.dropdown-toggle[b-pon7t2iq1y] {
        color: #333;
        background-color: #d6d8db;
        border-color: #d6d8db;
    }

        .btn-pale-white:focus[b-pon7t2iq1y], .btn-pale-white:active:focus[b-pon7t2iq1y] {
            box-shadow: 0 0 0 0.25rem rgba(200, 200, 200, 0.5);
        }
/* _content/MobiBlazor/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-t00pxwt2si] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main-container[b-t00pxwt2si] {
    flex: 1;
    display: flex;
    flex-direction: column;
    min-width: 0;
}

main[b-t00pxwt2si] {
    flex: 1;
    min-width: 0;
    transition: margin-left 0.3s cubic-bezier(0.4,0,0.2,1);
    margin-left: 0;
}

@media (max-width: 640px) {
    .page[b-t00pxwt2si] {
        height: 100vh;
    }

    .main-container[b-t00pxwt2si] {
        flex: 1;
        display: flex;
        flex-direction: column;
        min-width: 0;
        overflow-y: auto;
    }
}

.main-shifted[b-t00pxwt2si] {
    margin-left: -300px;
}

.sidebar[b-t00pxwt2si] {
    background-image: linear-gradient(102deg, #343A40 50%, #193F32 70%);
    transition: transform 0.3s cubic-bezier(0.4,0,0.2,1);
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
    z-index: 20;
}

    .sidebar.sidebar-hidden[b-t00pxwt2si] {
        transform: translateX(-100%);
        opacity: 1;
        visibility: visible;
        pointer-events: none;
    }

/* Optionally, keep the space open for the sidebar */
@media (min-width: 641px) {
    .page[b-t00pxwt2si] {
        flex-direction: row;
    }

    .main-container[b-t00pxwt2si] {
        flex: 1;
        display: flex;
        flex-direction: column;
    }

    .sidebar[b-t00pxwt2si] {
        width: 300px;
        height: 100vh;
        position: sticky;
        top: 0;
        flex-shrink: 0;
        overflow-y: auto;
    }
    main[b-t00pxwt2si] {
        flex: 1;
        min-width: 0;
    }
}

.top-row[b-t00pxwt2si] {
    /*background-color: #f7f7f7;*/
    /*background-color: #343A40;*/
    background-color: #292A2C;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.7rem;
    display: flex;
    align-items: center;
}

    .top-row[b-t00pxwt2si]  a, .top-row[b-t00pxwt2si]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-t00pxwt2si]  a:hover, .top-row[b-t00pxwt2si]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-t00pxwt2si]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 640.98px) {
    .top-row[b-t00pxwt2si] {
        justify-content: space-between;
    }

        .top-row[b-t00pxwt2si]  a, .top-row[b-t00pxwt2si]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-t00pxwt2si] {
        flex-direction: row;
    }

    .sidebar[b-t00pxwt2si] {
        width: 300px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-t00pxwt2si] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

        .top-row.auth[b-t00pxwt2si]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-t00pxwt2si], article[b-t00pxwt2si] {
        padding-left: 1rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-t00pxwt2si] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-t00pxwt2si] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* Custom scrollbar CSS for sidebar */
/* Firefox */
.sidebar[b-t00pxwt2si] {
    scrollbar-width: thin;
    scrollbar-color: #888 #292A2C;
}

    /* Chrome, Edge, Safari */
    .sidebar[b-t00pxwt2si]::-webkit-scrollbar {
        width: 8px;
        background: #292A2C;
    }

    .sidebar[b-t00pxwt2si]::-webkit-scrollbar-thumb {
        background: #888;
        border-radius: 4px;
    }

        .sidebar[b-t00pxwt2si]::-webkit-scrollbar-thumb:hover {
            background: #bcbcbc;
        }
/* END Custom scrollbar CSS for sidebar */
/* _content/MobiBlazor/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-wdreujopm9] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 1.2rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

    .navbar-toggler:checked[b-wdreujopm9] {
        background-color: rgba(255, 255, 255, 0.5);
    }

.top-row[b-wdreujopm9] {
    min-height: 5.0rem;
    background-color: #292A2C;
}

.navbar-brand[b-wdreujopm9] {
    font-size: 1.1rem;
}

.bi[b-wdreujopm9] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-wdreujopm9] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-wdreujopm9] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-wdreujopm9] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item-label[b-wdreujopm9] {
    color: azure;
    padding: 0.3rem;
    font-size: 0.8rem;
}

.nav-item[b-wdreujopm9] {
    font-size: 0.8rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-wdreujopm9] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-wdreujopm9] {
        padding-bottom: 1rem;
    }

    .nav-item[b-wdreujopm9]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

    .nav-item[b-wdreujopm9]  a.active {
        background-color: rgba(255,255,255,0.37);
        color: white;
    }

    .nav-item[b-wdreujopm9]  .nav-link:hover {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }

.nav-scrollable[b-wdreujopm9] {
    display: none;
    position: relative;
    z-index: 20; /* Higher than .fixed-bottom-container */
    padding-bottom: 32px;
}

.navbar-toggler:checked ~ .nav-scrollable[b-wdreujopm9] {
    display: block;
}

/* Custom scrollbar CSS */
/* Firefox */
.nav-scrollable[b-wdreujopm9] {
    scrollbar-width: thin;
    scrollbar-color: #888 #292A2C;
}

/* Chrome, Edge, Safari */
.nav-scrollable[b-wdreujopm9]::-webkit-scrollbar {
    width: 8px;
    background: #292A2C;
}

.nav-scrollable[b-wdreujopm9]::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 4px;
}

.nav-scrollable[b-wdreujopm9]::-webkit-scrollbar-thumb:hover {
    background: #bcbcbc;
}
/* END Custom scrollbar CSS */

@media (min-width: 641px) {
    .navbar-toggler[b-wdreujopm9] {
        display: none;
    }

    .nav-scrollable[b-wdreujopm9] {
        display: block;
        overflow-y: auto;
        padding-bottom: 64px;
    }
    
    .top-row[b-wdreujopm9] {
        min-height: 5.0rem;
    }
}

/* _content/MobiBlazor/Components/Layout/SideBarToggle.razor.rz.scp.css */
.fixed-bottom-container[b-eq3mrz3zua] {
    position: fixed;
    bottom: 0;
    right: 0;
    width: 100%;
    display: flex;
    justify-content: end;
    /*background: #193F32;*/
    /*background-image: linear-gradient(to right, transparent 0px, transparent 300px, #343A40 300px, #193F32 100%);*/
    background-image: linear-gradient(to right, #343A40 0px, #193F32 300px, #193F32 300px, #343A40 100%);
    z-index: 10;
    padding: 0.3rem 0; /* Thinner bar */
    min-height: 2.5rem;
}

.big-centered-btn[b-eq3mrz3zua] {
    position: absolute;
    left: 50%;
    transform: translate(-50%, -80%); /* Center horizontally, float above bar */
    background: #fff;
    border: 2px solid lightgray;
    border-radius: 3rem;
    padding: 0.5rem 1.5rem;
    box-shadow: 0 2px 8px rgba(0,0,0,0.08);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: box-shadow 0.2s;
}

    .big-centered-btn img[b-eq3mrz3zua] {
        width: 32px;
        height: 32px;
        object-fit: contain;
        display: block;
    }

    .big-centered-btn:hover[b-eq3mrz3zua] {
        background: #f0f8ff; /* A lighter background */
        border-color: #3399ff; /* Slightly brighter border */
        box-shadow: 0 4px 12px rgba(0, 120, 212, 0.3); /* More prominent shadow */
        transition: background 0.2s, border-color 0.2s, box-shadow 0.2s;
    }

@media (max-width: 640px) {
    .big-centered-btn[b-eq3mrz3zua] {
        display: none;
    }
}
/* _content/MobiBlazor/Components/Pages/PdfList.razor.rz.scp.css */
/* Touch List Style */
.touch-list[b-x2dc5hampu] {
    list-style: none;
    padding: 0;
    margin-bottom: 4rem;
}

    .touch-list li[b-x2dc5hampu] {
        margin-bottom: 0.3rem;
    }

    .touch-list a[b-x2dc5hampu] {
        display: flex;
        align-items: center;
        padding: 0.05rem 0.5rem;
        font-size: 0.9rem;
        font-weight: bold;
        border-radius: 0.75rem;
        background: #f8f9fa;
        color: #222;
        text-decoration: none;
        transition: background 0.2s, box-shadow 0.2s;
        box-shadow: 0 1px 4px rgba(0,0,0,0.04);
        min-height: 64px;
    }

        .touch-list a:hover[b-x2dc5hampu],
        .touch-list a:focus[b-x2dc5hampu] {
            background: #e2e6ea;
            color: #0056b3;
            text-decoration: none;
        }

    .touch-list svg[b-x2dc5hampu] {
        margin-right: 1rem;
        flex-shrink: 0;
        width: 2rem;
        height: 2rem;
    }

/*Margin for PDF List*/
.pdf-title[b-x2dc5hampu] {
    margin-left: 0.1rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    flex: 1 1 0;
}

@media (max-width: 1024px) { /* tablets and small laptops */
    .pdf-title[b-x2dc5hampu] {
        max-width: 370px;
    }
}

@media (max-width: 900px) {
    .pdf-title[b-x2dc5hampu] {
        max-width: 300px;
    }
}

@media (max-width: 768px) {
    .pdf-title[b-x2dc5hampu] {
        max-width: 230px;
    }
}

@media (max-width: 720px) { /* break point from one-col to two */
    .pdf-title[b-x2dc5hampu] {
        max-width: 170px;
    }
}

@media (max-width: 640px) { /* very small phones */
    .pdf-title[b-x2dc5hampu] {
        max-width: 310px;
    }
}

@media (max-width: 475px) { /* very small phones */
    .pdf-title[b-x2dc5hampu] {
        max-width: 230px;
    }
}

@media (max-width: 425px) { /* very small phones */
    .pdf-title[b-x2dc5hampu] {
        max-width: 210px;
    }
}

@media (max-width: 375px) { /* extra small phones */
    .pdf-title[b-x2dc5hampu] {
        max-width: 180px;
    }
}

@media (max-width: 320px) { /* tiny phones */
    .pdf-title[b-x2dc5hampu] {
        max-width: 140px;
    }
}

/*With nav hidden*/

@media (max-width: 1024px) {
    .main-shifted .pdf-title[b-x2dc5hampu] {
        max-width: 670px;
    }
}

@media (max-width: 900px) {
    .main-shifted .pdf-title[b-x2dc5hampu] {
        max-width: 590px;
    }
}

@media (max-width: 768px) {
    .main-shifted .pdf-title[b-x2dc5hampu] {
        max-width: 490px;
    }
}

.caret-button[b-x2dc5hampu] {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    border: none;
    cursor: pointer;
    padding: 0.1rem 0.3rem;
    border-radius: 0.5rem;
    min-width: 0;
    min-height: 0;
}

.caret-button svg[b-x2dc5hampu] {
    width: 20px;
    height: 20px;
    transition: transform 0.2s;
}


.caret-open svg[b-x2dc5hampu] {
    transform: rotate(180deg);
    color: #007bff;
}

.caret-button svg[b-x2dc5hampu] {
    transition: transform 0.2s;
}

.dropdown-details[b-x2dc5hampu] {
    font-size: 0.9rem;
}
